#
# spec file for package libxml (Version 1.8.17)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           libxml
BuildRequires:  zlib-devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Libraries
AutoReqProv:    on
Summary:        A Library to Manipulate XML Files
Version:        1.8.17
Release:        450.2
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/libxml-%{version}.tar.bz2
Patch:          libxml-makefile-am.diff
Patch1:         libxml-retval.diff
# PATCH-FIX-SECURITY libxml-CVE-2009-2414_CVE-2009-2616.patch bnc530661 sbrabec@suse.cz -- Fixes multiple pointer use-after-free CVE-2009-2416, segfault when parsing recursive XML structures CVE-2009-2414.
Patch2:         libxml-CVE-2009-2414_CVE-2009-2616.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://xmlsoft.org

%description
XML is said to be the upcoming standard file format of the World Wide
Web.

Applications use libxml to load and save extensible data structures and
the new Web format.

New applications should use version 2 of libxml (libxml2).



Authors:
--------
    Daniel Veillard <Daniel.Veillard@w3.org>
    Raja R Harinath  <harinath@cs.umn.edu>
    Tom Tromey  <tromey@cygnus.com>
    Christopher Blizzard  <blizzard@appliedtheory.com>

%debug_package
%package  -n libxml-devel
License:        GPL v2 or later
Summary:        libxml Development Package (Version 1)
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} zlib-devel

%description -n libxml-devel
Libraries and includes for compiling applications that use libxml.



Authors:
--------
    cf. package "libxml"

%prep
%setup -q
%patch -p1
%patch1
%patch2

%build
autoreconf -f -i
%configure

%install
# [# 51381 (suse36381)]
make -C example clean
rm -r example/.deps
%makeinstall
# Unwanted doc stuff
rm -r $RPM_BUILD_ROOT%{_datadir}/gnome-xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc doc/*.{html,gif}
%doc doc/html
%doc example
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.sh
%{_libdir}/*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Fri Sep 04 2009 - sbrabec@suse.cz
- Fixed multiple pointer use-after-free (CVE-2009-2416, bnc530661).
- Fixed segfault when parsing recursive XML structures
  (CVE-2009-2414, bnc#530661).
* Mon Apr 02 2007 - rguenther@suse.de
- Add zlib-devel BuildRequires.
* Wed Jan 31 2007 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Jul 20 2006 - schwab@suse.de
- Use autoreconf.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 23 2005 - ro@suse.de
- fix missing declaration by running autoheader
* Fri Apr 30 2004 - ro@suse.de
- added missing return value (function is probably unused)
* Thu Mar 18 2004 - ke@suse.de
- Do not install pre-compiled examples; reported by Dirk Mueller
  [# 36381].
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 12 2003 - kukuk@suse.de
- Remove pkgconfig directory from filelist, is part of filesystem
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing GNOME directories to filelist
* Tue May 27 2003 - ke@suse.de
- Fix %%doc related permissions.
* Tue May 27 2003 - ke@suse.de
- Cleanup $RPM_BUILD_ROOT.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sun Jul 21 2002 - kukuk@suse.de
- Remove readline/readline-devel from neededforbuild, only needed
  for unused test program
* Mon Jun 17 2002 - ke@suse.de
- Call automake with the switch -a to install depcomp, too.
* Mon Apr 08 2002 - ke@suse.de
- Update to version 1.8.17:
  - Fix namespace support.
* Mon Feb 11 2002 - coolo@suse.de
- use %%_lib and %%_libdir
* Mon Nov 05 2001 - ke@suse.de
- Apply libxml-makefile-am.diff on account of automake 1.5 (multiply
  set variables).
* Mon Oct 01 2001 - ke@suse.de
- Update to version 1.8.16:
  - Maintenance release: a couple of bug and portability fixes
  (cf. http://xmlsoft.org/).
- Drop previous 'ltconfig' patch.
* Fri Aug 24 2001 - ke@suse.de
- Update to version 1.8.15:
  - Fix a parser bug; nautilus was affected.
- Add ldconfig call.
* Fri Jun 29 2001 - ke@suse.de
- Update to version 1.8.14.
* Mon May 21 2001 - ke@suse.de
- Update to version 1.8.13.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.8.11.
* Mon Dec 11 2000 - bk@suse.de
- %%{prefix}/bin/*(/usr/bin/xml-config) belongs to the -devel package
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 08 2000 - egger@suse.de
- Updated to version 1.8.10.
* Tue Sep 05 2000 - egger@suse.de
- Updated to version 1.8.9.
* Wed Mar 22 2000 - schwab@suse.de
- Fix libtool bug.
* Wed Mar 22 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Wed Mar 15 2000 - ke@suse.de
- update to version 1.8.7.
- ./configure -> %%build.
* Tue Feb 01 2000 - ke@suse.de
- update to version 1.8.6.
* Sun Jan 23 2000 - ke@suse.de
- update to version 1.8.5.
* Fri Jan 14 2000 - ke@suse.de
- update: version 1.8.4.
* Mon Jan 10 2000 - ke@suse.de
- update: version 1.8.3.
* Wed Dec 15 1999 - ke@suse.de
- update: version 1.7.4.
* Sat Oct 02 1999 - ke@suse.de
- update: version 1.7.3.
- fix check macro.
- spec file cleanup (e.g., do provide libxml-devel).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Aug 21 1999 - ke@suse.de
- update: version 1.4.0
* Sat Jul 10 1999 - ke@suse.de
- update: version 1.3.0.
* Fri Jun 04 1999 - ke@suse.de
- update: version 1.1.0.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.0.
* Sun Feb 28 1999 - ke@suse.de
- filelist: add xml-config.
* Sun Feb 28 1999 - ke@suse.de
- make it GNOME compatible: link xmlConf.sh into a GNOME dir; provide
  -L/usr/X11R6/lib for linking against libz.
- install docu.
* Wed Feb 17 1999 - ke@suse.de
- update: version 0.99.8.
* Thu Feb 04 1999 - ke@suse.de
- update: version 0.99.5.
- make *.so.* executable.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.
* Wed Dec 02 1998 - ke@suse.de
- initial package: version 0.30.
